package main

import (
	"math/rand"

	"github.com/hamcha/clessy/tg"
)

var metaactions = []string{
	"Puppami", "Degustami", "Lucidami", "Manipolami", "Disidratami", "Irritami", "Martorizzami",
	"Lustrami", "Osannami", "Sorseggiami", "Assaporami", "Apostrofami", "Spremimi", "Dimenami",
	"Agitami", "Stimolami", "Suonami", "Strimpellami", "Stuzzicami", "Spintonami", "Sguinzagliami",
	"Modellami", "Sgrullami", "Cavalcami", "Perquotimi", "Misurami", "Sventolami", "Induriscimi",
	"Accordami", "Debuggami", "Accarezzami", "Revisionami",
}

var metaobjects = []string{
	"il birillo", "il bastone", "l'ombrello", "il malloppo", "il manico", "il manganello",
	"il ferro", "la mazza", "l'archibugio", "il timone", "l'arpione", "il flauto", "la reliquia",
	"il fioretto", "lo scettro", "il campanile", "la proboscide", "il pino", "il maritozzo", "il perno",
	"il tubo da 100", "la verga", "l'idrante", "il pendolo", "la torre di Pisa", "la lancia",
	"il cilindro", "il lampione", "il joystick", "il Wiimote", "il PSMove", "l'albero maestro",
	"il trenino", "la sciabola", "il weedle", "il serpente", "il missile", "la limousine",
}

func metafora(broker *tg.Broker, update tg.APIMessage) {
	if isCommand(update, "metafora") {
		broker.SendTextMessage(update.Chat, metaforaAPI(), nil)
		return
	}
}

func metaforaAPI() string {
	n := rand.Intn(len(metaactions))
	m := rand.Intn(len(metaobjects))
	return metaactions[n] + " " + metaobjects[m]
}
